<template>
    <svg :viewBox="viewBox"
         :style="style">
        <use :xlink:href="`#${xlink}`" :fill="fill"></use>
    </svg>
</template>

<script>
    export default {
        name: 'SVGIcon',
        // props: ['viewBox', 'xlink'],
        props: {
            viewBox: {
                required: false,
                default: `0 0 24 24`,
                type: String,
            },
            xlink: {
                type: String,
                required: true,

            },
            fill: {
                type: String,
                required: false,
                default: '',
            },
            rotate: {
                type: Number,
                required: false,
                default: 0
            }
        },
        computed: {
            style() {
                const array = this.viewBox.split(' ');
                const style =  {
                    width: `${array[2]}px`,
                    height: `${array[3]}px`,
                    'transition-duration': '0.5s'
                }

                if (this.rotate) {
                    style.transform = `rotate(${this.rotate}deg)`
                }

                return style;
            }
        }
    }
</script>
